> For the complete documentation index, see [llms.txt](https://developer.prodege.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.prodege.com/surveys-feed/api-reference/lookup-calls/lookup-panelist-info.md).

# Lookup Panelist Info

Returns the current profile information of a registered panelist.

| Request URL    | /lookup-user-info                                |
| -------------- | ------------------------------------------------ |
| Request Method | <mark style="background-color:green;">GET</mark> |

#### Request Parameters

| **Parameter Name** | **Parameter Type** | **Required?**                                                                                             | **Description**                                                                                                  |
| ------------------ | ------------------ | --------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| apik               | String             | Yes                                                                                                       | Key uniquely identifying the supplier                                                                            |
| request\_date      | Numeric            | Yes (in milliseconds)                                                                                     | See [authentication](https://developer.prodege.com/surveys-feed/api-reference/authentication/request-expiration) |
| signature          | String             | Yes (see [here](https://developer.prodege.com/surveys-feed/api-reference/authentication/request-signing)) | Required to authenticate supplier call                                                                           |
| vpid               | String             | Yes                                                                                                       | The supplier’s static panelist ID                                                                                |

#### Response Parameters

| **Parameter Name** | **Parameter Type** | **Description / Notes**                                                                                                                                                                                                                 |
| ------------------ | ------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| return\_status     | String             | The return status for this api call                                                                                                                                                                                                     |
| vpid               | String             | The supplier’s static panelist ID                                                                                                                                                                                                       |
| country\_id        | Numeric            | The [countryID](https://developer.prodege.com/surveys-feed/api-reference/lookup-calls/lookup-all-supported-countries) of the panelist                                                                                                   |
| data               | Array              | The panelist's current profile data, represented as an array of question and answer IDs, based on  [Lookup Questions By CountryID](https://developer.prodege.com/surveys-feed/api-reference/lookup-calls/lookup-questions-by-countryid) |

#### *data* Model

| **Parameter Name** | **Parameter Type** | **Description / Notes**                                                                                                           |
| ------------------ | ------------------ | --------------------------------------------------------------------------------------------------------------------------------- |
| question\_id       | Numeric            | The question ID of the profile question                                                                                           |
| answers            | Numeric            | The corresponding answer ID(s) for the profile question. Multple answers (for multiple choice questions) will be comma separated. |

### Example Response

```json
{
   "vpid":"45773",
   "country_id":1,
   "data":[
      {
         "question_id":1,
         "answers":[
            25
         ]
      },
      {
         "question_id":3,
         "answers":[
            1
         ]
      },
      {
         "question_id":20,
         "answers":[
            1,
            3
         ]
      }
   ],
   "return_status":{
      "status_id":1,
      "message":[
         "Request Successful"
      ]
   }
}
```
